import os
import sys
current_dir = os.path.dirname(__file__)
parent_dir = os.path.abspath(os.path.join(current_dir, '..'))
sys.path.append(parent_dir)
from data_structs import MarkerTemplate
from flask import json

def get_markers():
    testData = [
        MarkerTemplate(latitude=60.7266, longitude=10.9771, size=50.0, color='blue'),
        MarkerTemplate(latitude=60.8366, longitude=10.8171, size=70.0, color='red'),
        MarkerTemplate(latitude=60.7366, longitude=10.8471, size=60.0, color='green'),
    ]

    # Return jsonified marker list
    return json.dumps([marker.to_dict() for marker in testData])

