# Geo data relating to a single measurement point using dictionary
point_template = {
    "longitude": 0.0,
    "latitude": 0.0,
    "precipitation": None,  
    "thickness": 0.0,
    "max_weight": 0.0,
    "safety_level": 3.0,
    "accuracy": 9
}

# Geo data relating to a single measurement point using class
class DataPoint:
    def __init__(self, longitude, latitude, precipitation, thickness, max_weight, safety_level, accuracy):
        self.longitude = longitude
        self.latitude = latitude
        self.precipitation = precipitation
        self.thickness = thickness
        self.max_weight = max_weight
        self.safety_level = safety_level
        self.accuracy = accuracy


# Template for map marker data
class MarkerTemplate:
    def __init__(self, latitude, longitude, size, color):
        self.latitude = latitude
        self.longitude = longitude
        self.size = size
        self.color = color
    def to_dict(self):
        return {
            'latitude': self.latitude,
            'longitude': self.longitude,
            'size': self.size,
            'color': self.color
        }